Share via


Addresses - Update

Update the properties of an existing address.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EdgeOrder/addresses/{addressName}?api-version=2024-02-01

URI Parameters

Name In Required Type Description
addressName
path True

string

minLength: 3
maxLength: 24
pattern: ^[-\w\.]+$

The name of the address Resource within the specified resource group. address names must be between 3 and 24 characters in length and use any alphanumeric and underscore only.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
If-Match

string

Defines the If-Match condition. The patch will be performed only if the ETag of the job on the server matches this value.

Request Body

Name Type Description
properties.contactDetails

ContactDetails

Contact details for the address.

properties.shippingAddress

ShippingAddress

Shipping details for the address.

tags

object

The list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups).

Responses

Name Type Description
200 OK

AddressResource

Azure operation completed successfully.

202 Accepted

Resource update request accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

UpdateAddress

Sample request

PATCH https://management.azure.com/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/resourceGroups/YourResourceGroupName/providers/Microsoft.EdgeOrder/addresses/TestAddressName2?api-version=2024-02-01

{
  "properties": {
    "contactDetails": {
      "contactName": "YYYY YYYY",
      "emailList": [
        "xxxx@xxxx.xxx"
      ],
      "phone": "0000000000",
      "phoneExtension": ""
    },
    "shippingAddress": {
      "addressType": "None",
      "city": "San Francisco",
      "companyName": "Microsoft",
      "country": "US",
      "postalCode": "94107",
      "stateOrProvince": "CA",
      "streetAddress1": "16 TOWNSEND ST",
      "streetAddress2": "UNIT 1"
    }
  },
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}

Sample response

{
  "name": "TestAddressName2",
  "type": "Microsoft.EdgeOrder/addresses",
  "id": "/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/resourceGroups/YourResourceGroupName/providers/Microsoft.EdgeOrder/addresses/TestAddressName2",
  "location": "eastus",
  "properties": {
    "addressValidationStatus": "Valid",
    "contactDetails": {
      "contactName": "YYYY YYYY",
      "emailList": [
        "xxxx@xxxx.xxx"
      ],
      "phone": "0000000000",
      "phoneExtension": ""
    },
    "shippingAddress": {
      "addressType": "None",
      "city": "San Francisco",
      "companyName": "Microsoft",
      "country": "US",
      "postalCode": "94107",
      "stateOrProvince": "CA",
      "streetAddress1": "16 TOWNSEND ST",
      "streetAddress2": "UNIT 1"
    }
  },
  "systemData": {
    "createdAt": "0001-01-01T05:30:00+05:30",
    "lastModifiedAt": "0001-01-01T05:30:00+05:30"
  },
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}
location: https://management.azure.com/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/providers/Microsoft.EdgeOrder/locations/westus/operationResults/operationid?api-version=2024-02-01

Definitions

Name Description
AddressClassification

Type of address based on its usage context.

AddressResource

Address Resource.

AddressType

Type of address.

AddressUpdateParameter

The Address update parameters.

AddressValidationStatus

Status of address validation.

ContactDetails

Contact Details.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProvisioningState

Provisioning state

ShippingAddress

Shipping address where customer wishes to receive the device.

systemData

Metadata pertaining to creation and last modification of the resource.

AddressClassification

Type of address based on its usage context.

Value Description
Shipping

Shipping address for the order.

Site

Site Address.

AddressResource

Address Resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.addressClassification

AddressClassification

Type of address based on its usage context.

properties.addressValidationStatus

AddressValidationStatus

Status of address validation.

properties.contactDetails

ContactDetails

Contact details for the address.

properties.provisioningState

ProvisioningState

Provisioning state

properties.shippingAddress

ShippingAddress

Shipping details for the address.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AddressType

Type of address.

Value Description
None

Address type not known.

Residential

Residential Address.

Commercial

Commercial Address.

AddressUpdateParameter

The Address update parameters.

Name Type Description
properties.contactDetails

ContactDetails

Contact details for the address.

properties.shippingAddress

ShippingAddress

Shipping details for the address.

tags

object

The list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups).

AddressValidationStatus

Status of address validation.

Value Description
Valid

Address provided is valid.

Invalid

Address provided is invalid or not supported.

Ambiguous

Address provided is ambiguous, please choose one of the alternate addresses returned.

ContactDetails

Contact Details.

Name Type Description
contactName

string

Contact name of the person.

emailList

string[]

List of Email-ids to be notified about job progress.

mobile

string

Mobile number of the contact person.

phone

string

Phone number of the contact person.

phoneExtension

string

Phone extension number of the contact person.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

Provisioning state

Value Description
Creating

Creating state.

Succeeded

Succeeded state.

Failed

Failed state.

Canceled

Canceled state.

ShippingAddress

Shipping address where customer wishes to receive the device.

Name Type Description
addressType

AddressType

Type of address.

city

string

Name of the City.

companyName

string

Name of the company.

country

string

Name of the Country.

postalCode

string

Postal code.

stateOrProvince

string

Name of the State or Province.

streetAddress1

string

Street Address line 1.

streetAddress2

string

Street Address line 2.

streetAddress3

string

Street Address line 3.

zipExtendedCode

string

Extended Zip Code.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.